--- sincro	2009-03-07 17:03:42.000000000 +0100
+++ oomerge.sh	2009-03-07 17:06:57.000000000 +0100
@@ -1,21 +1,26 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
 # sintaxi: sincro dirpootle dirTermcatDesinc dirdestí
 
+POT=pot
+PO=po
+
 # Reprodueix l'estructura de directoris
 find $1 -type d -printf "$3%P\n" | xargs mkdir -p
 
 # Per a tots els .po de dirpootle, si existeix l'equivalent desincronitzat
 # a dirTermcatDesinc, aplicar l'msgmerge
-for f in $(find $1 -iname "*.po" -printf "%P\n")
+for f in $(find $1 -iname "*.$POT" -printf "%P\n")
 do
 	pootle=${1}${f}
 	echo Del Pootle: $pootle
-	termcat=${2}${f}
+	termcat=${2}${f%.$POT}.$PO
 	if [ -e "$termcat" ]; then
 		echo Del Termcat: $termcat
-		resultat=${3}${f}
+		resultat=${3}${f%.$POT}.$PO
 		echo S\'està sincronitzant: $resultat
 		msgmerge -o $resultat $termcat $pootle
+		msgfmt -cv --statistics -o /dev/null $resultat
 	else echo Del Termcat: No hi és
 	fi
 done